%global srcname grunt-known-options
Name:                nodejs-%{srcname}
Version:             1.1.1
Release:             1
Summary:             The known options used in Grunt
License:             MIT
URL:                 https://github.com/gruntjs/grunt-known-options
Source0:             https://github.com/gruntjs/grunt-known-options/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%autosetup -n grunt-known-options-%{version} 

%build

%check
%{__nodejs} -e 'require("./")'

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.1.1-1
- package init
